# SplSubject::attach

(PHP 5 >= 5.1.0, PHP 7)

SplSubject::attach — Attach an SplObserver

### Description

abstract public SplSubject::attach ( SplObserver `$observer` ) : void

Attaches an SplObserver so that it can be notified of updates.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`observer`

  The SplObserver to attach.

### Return Values

No value is returned.